Bug 734449 - typo in help for filters
Summary: typo in help for filters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 27
Assignee: Sayli Karmarkar
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 12:33 UTC by Preethi Thomas
Modified: 2015-03-23 01:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:13:49 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-30 12:33:06 UTC
Description of problem:

If you do repo add_filters without filters the error shows the --filters is required. But the option is --filter
[root@preethi ~]# pulp-admin repo add_filters --id=pulp-clone1
Usage: pulp-admin <options> repo add_filters <options>

pulp-admin: error: Option --filters is required; please see --help


[root@preethi ~]# pulp-admin repo add_filters --id=pulp-clone1 --filter=black-filter1 --help
Usage: pulp-admin <options> repo add_filters <options>

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  -f FILTERS, --filter=FILTERS
                        filter identifiers to be added to the repo (required)

Comment 1 Sayli Karmarkar 2011-09-02 06:40:08 UTC
Fixed. 

$ sudo pulp-admin repo add_filters --id spacewalk-local 
Error: At least one filter id is required to perform an association.

$ sudo pulp-admin repo remove_filters --id spacewalk-local
Error: At least one filter id is required to remove an association.

Comment 2 Jeff Ortel 2011-09-02 19:18:13 UTC
build: 0.230

Comment 3 Preethi Thomas 2011-09-07 14:04:13 UTC
verified

[root@preethi ~]# rpm -q pulp
pulp-0.0.230-1.fc15.noarch
[root@preethi ~]# sudo pulp-admin repo add_filters --id
Usage: pulp-admin <options> repo add_filters <options>

pulp-admin: error: --id option requires an argument
[root@preethi ~]# sudo pulp-admin repo add_filters --id test
Error: At least one filter id is required to perform an association.
[root@preethi ~]# sudo pulp-admin repo remove_filters --id test
Error: At least one filter id is required to remove an association.
[root@preethi ~]#

Comment 4 Preethi Thomas 2012-02-24 20:13:49 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.